nix3-key-convert-secret-to-public(1)

    Warning
    This program is experimental and its interface is subject to change.

Name
nix key convert-secret-to-public - generate a public key for verifying store paths from a secret key read from standard input

Synopsis
nix key convert-secret-to-public [option…]

Examples

•   Convert a secret key to a public key:

    # echo cache.example.org-0:E7lAO+MsPwTFfPXsdPtW8GKui/5ho4KQHVcAGnX+Tti1V4dUxoVoqLyWJ4YESuZJwQ67GVIksDt47og+tPVUZw== \
    | nix key convert-secret-to-public
    cache.example.org-0:tVeHVMaFaKi8lieGBErmScEOuxlSJLA7eO6IPrT1VGc=

Description
This command reads a Ed25519 secret key from standard input, and writes the corresponding public key to standard output. For more details, see nix key generate-secret.